﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace WPF_xamDataChart
{
    public class SeriesData
    {
        private static ObservableCollection<SeriesPoint_People> people;
        private static ObservableCollection<SeriesPoint_Cost> costs;

        private static ObservableCollection<SeriesPoint_Cost> CreateCosts()
        {
            DateTime today = DateTime.Now;

            costs = new ObservableCollection<SeriesPoint_Cost>();
            costs.Add(new SeriesPoint_Cost(today.AddDays(3).AddHours(2), 15.22));
            costs.Add(new SeriesPoint_Cost(today.AddDays(5).AddHours(2), 10.50));
            costs.Add(new SeriesPoint_Cost(today.AddDays(10).AddHours(2), 20.25));
            costs.Add(new SeriesPoint_Cost(today.AddDays(8).AddHours(2), 2.30));
            costs.Add(new SeriesPoint_Cost(today.AddDays(5).AddHours(2), 33.87));
            costs.Add(new SeriesPoint_Cost(today.AddHours(2), 7.07));
            costs.Add(new SeriesPoint_Cost(today.AddDays(7).AddHours(2), 30.55));
            costs.Add(new SeriesPoint_Cost(today.AddDays(15).AddHours(2), 45.23));

            return costs;
        }

        public static ObservableCollection<SeriesPoint_Cost> Costs
        {
            get
            {
                if (costs == null)
                    costs = CreateCosts();

                return costs;
            }
        }

        private static ObservableCollection<SeriesPoint_People> CreatePeople()
        {
            DateTime today = DateTime.Now;
            people = new ObservableCollection<SeriesPoint_People>();
            people.Add(new SeriesPoint_People(  today.AddDays(3),  15 ) );
            people.Add(new SeriesPoint_People(  today.AddDays(5),  10 ) );
            people.Add(new SeriesPoint_People(  today.AddDays(10),  20 ) );
            people.Add(new SeriesPoint_People(  today.AddDays(8),  23 ) );
            people.Add(new SeriesPoint_People(  today.AddDays(5),  33 ) );
            people.Add(new SeriesPoint_People(  today,  7 ) );
            people.Add(new SeriesPoint_People(  today.AddDays(7),  30 ) );
            people.Add(new SeriesPoint_People(  today.AddDays(15),  45 ) );             
            
            return people;
        }

        public static ObservableCollection<SeriesPoint_People> People
        {
            get
            {
                if (people == null)
                    people = CreatePeople();

                return people;
            }
        }

    }
    public class SeriesPoint_People
    {
        public int People { get; set; }
        public DateTime Date { get; set; }
      

        public SeriesPoint_People( DateTime date, int people)
        {           
            Date = date;
            People = people;
        }
    }

    public class SeriesPoint_Cost
    {       
        public DateTime Date { get; set; }
        public double Cost { get; set; }

        public SeriesPoint_Cost( DateTime date, double cost)
        {          
            Date = date;
            Cost = cost;

        }
    }
}
